Query Campaigns
curl --request POST \
--url https://api.virtuoussoftware.com/api/Campaign/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"campaignId": "<integer>",
"name": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
},
{
"campaignId": "<integer>",
"name": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}
],
"total": "<integer>"
}Campaigns
Query Campaigns
To see which options can be sent, use the {M:Virtuous.WebApi.Controllers.CampaignController.QueryOptions} endpoint.
If requests are timing out, you may be asking for too many items at once. The max take is 1,000.
POST
/
api
/
Campaign
/
Query
Query Campaigns
curl --request POST \
--url https://api.virtuoussoftware.com/api/Campaign/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"campaignId": "<integer>",
"name": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
},
{
"campaignId": "<integer>",
"name": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Last modified on June 5, 2026
Was this page helpful?
⌘I